﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;
namespace WpfApplicationSyncFusion
{
  class ChartData:INotifyPropertyChanged
  {
    private String xValue;
    private double pValue;
    private double oValue;
    public ChartData()
    {

    }
    public ChartData(String xValue,double pValue, double oValue)
    {
      
      this.xValue = xValue;
      this.pValue = pValue;
      this.oValue = oValue;
    }
    public String XValue
    {
      get
      {
        return xValue;
      }
      set
      {
        this.xValue =value;
        OnPropertyChanged("XValue");
      }
    }
    public double PData
    {
      get
      {
        return pValue;
      }
      set
      {
        this.pValue = value;
        OnPropertyChanged("P");
      }
    }
    public double OData
    {
      get
      {
        return oValue;
      }
      set
      {
        this.oValue = value;
        OnPropertyChanged("O");
      }
    }
    



    #region INotifyPropertyChanged Members

    public event PropertyChangedEventHandler PropertyChanged;
    protected void OnPropertyChanged(String info)
    {
      if (this.PropertyChanged != null)
        this.PropertyChanged(this, new PropertyChangedEventArgs(info));
    }
    #endregion

    
  }
  class ChartDatas : ObservableCollection<ChartData>
  {
    public ChartDatas():base()
    {
      Random rnd = new Random();
    
      for (int i = 0; i <50; i++)
      {
        Add(new ChartData(i.ToString(),rnd.Next(10,40),-1*rnd.Next(10,60)));
      }
     
    }

  }
  class ChartDatas1 : ObservableCollection<ChartData>
  {
    public ChartDatas1()
      : base()
    {
      Random rnd = new Random();
    
      for (int i = 0; i < 100000; i++)
      {
        Add(new ChartData(i.ToString(), rnd.Next(10, 40), -1 * rnd.Next(10, 60)));
      }

    }


  }
}
